%ifnarch %{ix86} %{arm} s390x
%bcond_without check
%endif

%global goipath         github.com/uber/jaeger-client-go
Version:                2.30.0

%gometa

%global goaltipaths     github.com/jaegertracing/jaeger-client-go

%global common_description %{expand:
Instrumentation library that implements an OpenTracing Tracer for Jaeger
(https://jaegertracing.io).}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md RELEASE.md CHANGELOG.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Jaeger Bindings for Go OpenTracing API

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz



%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%build
for cmd in crossdock; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d .
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md RELEASE.md CHANGELOG.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.30.0-1
- initial build
